seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/12/01, 03:15:54


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [SOLVED] rstudio (preview or stable) uninstallable under full-upgraded system  (Read 728 times)

0 Members and 1 Guest are viewing this topic.

Offline orca

  • User
  • Posts: 39
Hi there
I have an essentially pristine and full-upgraded system. When I try to install RStudio .deb packages from their official site, I get:
Code: [Select]
Selecting previously unselected package rstudio.
(Reading database ... 420648 files and directories currently installed.)
Preparing to unpack rstudio-1.2.5033-amd64.deb ...
Unpacking rstudio (1.2.5033) ...
dpkg: dependency problems prevent configuration of rstudio:
 rstudio depends on libclang-dev; however:
  Package libclang-dev is not installed.

dpkg: error processing package rstudio (--install):
 dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.24-1) ...
Processing triggers for mime-support (3.64) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for shared-mime-info (1.15-1) ...
Errors were encountered while processing:
 rstudio


The same error happens with the preview release. Is there some current problem with the clang packages? Is anyone here capable of having RStudio installed?
Thanks in advance.
« Last Edit: 2020/04/04, 13:25:22 by orca »

Offline hendrikL

  • User
  • Posts: 450
apt install libclang-dev ??
« Last Edit: 2020/04/04, 00:06:28 by hendrikL »

Offline orca

  • User
  • Posts: 39
Wonderful, hendrikL. It worked like a charm, for the preview release itself!
Thank you very much indeed!!!

Offline sunrat

  • User
  • Posts: 376
Use apt to install packages locally, it will also resolve dependencies for you which dpkg won't.
Code: [Select]
apt install ./<name-of-package.deb>